You are not logged in.

#1 2021-06-17 15:24:40

ConnahGriffin
Member
Registered: 2021-02-27
Posts: 11

[Closed]source-highlight package corrupted

Toady i was trying to install gdb and got the following error

error: source-highlight: signature from "Felix Yan <felixonmars@archlinux.org>" is invalid
:: File /var/cache/pacman/pkg/source-highlight-3.1.9-4-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).

Could this be problem on my end? Although the message is largely indicative that it isn't. If not, how should i go about installing gdb?
Thanks for the help

Last edited by ConnahGriffin (2021-08-07 11:57:45)

Offline

#2 2021-06-17 16:22:08

Ropid
Member
Registered: 2015-03-09
Posts: 1,058

Re: [Closed]source-highlight package corrupted

Try deleting the file in the error message and then try again. I mean the file "/var/cache/pacman/pkg/source-highlight-3.1.9-4-x86_64.pkg.tar.zst".

Maybe try switching the first mirror in your /etc/pacman.d/mirrorlist file.

Offline

Board footer

Powered by FluxBB